/*
Altere um vetor com a seguinte regra:
inicie da direita para a esquerda, altere
o valor para a sua metade e decremente
o índice em duas casas, executando até o
início do vetor.
A alteração deve ser realizada por intermédio
de um ponteiro auxiliar.
*/

#define MAX 10

main() {
   double vetor[MAX]={1,2,3,4,5,6,7,8,9,10};
   double *ptr;
   int i=0;

   for (ptr=&vetor[MAX-1],i=MAX-1;i>0;i=i-2,ptr=ptr-2)
       *ptr=*ptr/2;

   for (i=0;i<MAX;i++)
      printf("%.0lf ", vetor[i]);
}
